%global pypi_name pluggy
%global commitId 4259fdd799d64f953631e47ddcb69c3074a15c13

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       1.0.0
Release:       1%{?dist}
Summary:       A minimalist production ready plugin system

License:       MIT
URL:           https://github.com/pytest-dev/pluggy
Source0:       python-pluggy-4259fdd799d64f953631e47ddcb69c3074a15c13.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-setuptools_scm

%description
This is the core framework used by the pytest, tox, and devpi projects.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       A minimalist production ready plugin system

%description -n python%{python3_pkgversion}-%{pypi_name}
This is the core framework used by the pytest, tox, and devpi projects.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGELOG.rst README.rst

%changelog
* Wed Mar 09 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.0.0-1
- Initial package
